Bug 840600 - Post creating new environment in headpin, webui returns row:NotFound error
Post creating new environment in headpin, webui returns row:NotFound error
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.2
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks: 840624
  Show dependency treegraph
 
Reported: 2012-07-16 12:48 EDT by Eric Sammons
Modified: 2013-02-21 14:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 840624 (view as bug list)
Environment:
Last Closed: 2013-02-21 14:16:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot, row:NotFound (48.14 KB, image/png)
2012-07-16 12:48 EDT, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-07-16 12:48:26 EDT
Created attachment 598497 [details]
screenshot, row:NotFound

Description of problem:
During the process of creating a new environment, the webui returns to the org and attempts to display the details of that org.  At this point, after clicking on save, the webui will display an error, row:NotFound

Version-Release number of selected component (if applicable):
katello-headpin-0.2.24-1
RHEL-6_x86_64

Steps to Reproduce:
1. Navigate to Administer
2. Select Manage Organizations
3. Select Add Environment
   + Name
4. Click [Create]
  
Actual results:
Error
There was an error retrieving that row:Not Found

---- katello/production.log
[FATAL: 2012-07-16 12:45:38 #1691] 
AbstractController::ActionNotFound (The action 'show' could not be found for OrganizationsController):

Expected results:
Details of organization should be displayed.
Comment 1 Pavel Pokorny 2012-07-17 05:50:40 EDT
Fixed in:

b6bcd20 840600 - Post creating new environment in headpin, webui returns row:NotFound error
Comment 2 Eric Sammons 2012-07-18 12:35:54 EDT
VERIFIED 

katello-all-0.2.45-1.git.35.049d74c.fc16.noarch

Can now visually see the Environments in the ribbon, create new environments, and remove.

No errors reported to /var/log/katello/production.log
Comment 4 errata-xmlrpc 2013-02-21 14:16:36 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.